ICU 78.1: icu::TimeZoneTransition Class Reference

ICU 78.1 78.1

Public Member Functions | Static Public Member Functions
icu::TimeZoneTransition Class Reference

`TimeZoneTransition` is a class representing a time zone transition. More...

`#include <tztrans.h>`

Inheritance diagram for icu::TimeZoneTransition:

## Public Member Functions
| TimeZoneTransition (UDate time, const TimeZoneRule &from, const TimeZoneRule &to)
| Constructs a `TimeZoneTransition` with the time and the rules before/after the transition. More...
| TimeZoneTransition ()
| Constructs an empty `TimeZoneTransition` More...
| TimeZoneTransition (const TimeZoneTransition &source)
| Copy constructor. More...
| ~TimeZoneTransition ()
| Destructor. More...
TimeZoneTransition * | clone () const
| Clone this TimeZoneTransition object polymorphically. More...
TimeZoneTransition & | operator= (const TimeZoneTransition &right)
| Assignment operator. More...
bool | operator== (const TimeZoneTransition &that) const
| Return true if the given TimeZoneTransition objects are semantically equal. More...
bool | operator!= (const TimeZoneTransition &that) const
| Return true if the given TimeZoneTransition objects are semantically unequal. More...
UDate | getTime () const
| Returns the time of transition in milliseconds. More...
void | setTime (UDate time)
| Sets the time of transition in milliseconds. More...
const TimeZoneRule * | getFrom () const
| Returns the rule used before the transition. More...
void | setFrom (const TimeZoneRule &from)
| Sets the rule used before the transition. More...
void | adoptFrom (TimeZoneRule *from)
| Adopts the rule used before the transition. More...
void | setTo (const TimeZoneRule &to)
| Sets the rule used after the transition. More...
void | adoptTo (TimeZoneRule *to)
| Adopts the rule used after the transition. More...
const TimeZoneRule * | getTo () const
| Returns the rule used after the transition. More...
virtual UClassID | getDynamicClassID () const override
| Returns a unique class ID POLYMORPHICALLY. More...
Public Member Functions inherited from icu::UObject
virtual | ~UObject ()
| Destructor. More...

## Static Public Member Functions
static UClassID | getStaticClassID ()
| Return the class ID for this class. More...

## Detailed Description

`TimeZoneTransition` is a class representing a time zone transition.

An instance has a time of transition and rules for both before and after the transition.

Stable:
  ICU 3.8

Definition at line 35 of file tztrans.h.

## Constructor & Destructor Documentation

## ◆ TimeZoneTransition() [1/3]

icu::TimeZoneTransition::TimeZoneTransition | ( | UDate | time,
|  | const TimeZoneRule & | from,
|  | const TimeZoneRule & | to
| ) |  |

Constructs a `TimeZoneTransition` with the time and the rules before/after the transition.

Parameters

  time | The time of transition in milliseconds since the base time.
  from | The time zone rule used before the transition.
  to | The time zone rule used after the transition.

Stable:
  ICU 3.8

## ◆ TimeZoneTransition() [2/3]

icu::TimeZoneTransition::TimeZoneTransition | ( |  | ) |

Constructs an empty `TimeZoneTransition`

Stable:
  ICU 3.8

## ◆ TimeZoneTransition() [3/3]

icu::TimeZoneTransition::TimeZoneTransition | ( | const TimeZoneTransition & | source | ) |

Copy constructor.

Parameters

  source | The TimeZoneTransition object to be copied.

Stable:
  ICU 3.8

## ◆ ~TimeZoneTransition()

icu::TimeZoneTransition::~TimeZoneTransition | ( |  | ) |

Destructor.

Stable:
  ICU 3.8

## Member Function Documentation

## ◆ adoptFrom()

void icu::TimeZoneTransition::adoptFrom | ( | TimeZoneRule * | from | ) |

Adopts the rule used before the transition.

The caller must not delete the `TimeZoneRule` object passed in.

Parameters

  from | The time zone rule used before the transition.

Stable:
  ICU 3.8

## ◆ adoptTo()

void icu::TimeZoneTransition::adoptTo | ( | TimeZoneRule * | to | ) |

Adopts the rule used after the transition.

The caller must not delete the `TimeZoneRule` object passed in.

Parameters

  to | The time zone rule used after the transition.

Stable:
  ICU 3.8

## ◆ clone()

TimeZoneTransition* icu::TimeZoneTransition::clone | ( |  | ) | const

Clone this TimeZoneTransition object polymorphically.

The caller owns the result and should delete it when done.

Returns
  A copy of the object.

Stable:
  ICU 3.8

## ◆ getDynamicClassID()

virtual UClassID icu::TimeZoneTransition::getDynamicClassID | ( |  | ) | const
| overridevirtual

Returns a unique class ID POLYMORPHICALLY.

Pure virtual override. This method is to implement a simple version of RTTI, since not all C++ compilers support genuine RTTI. Polymorphic operator==() and clone() methods call this method.

Returns
  The class ID for this object. All objects of a given class have the same class ID. Objects of other classes have different class IDs.

Stable:
  ICU 3.8

Reimplemented from icu::UObject.

## ◆ getFrom()

const TimeZoneRule* icu::TimeZoneTransition::getFrom | ( |  | ) | const

Returns the rule used before the transition.

Returns
  The time zone rule used after the transition.

Stable:
  ICU 3.8

## ◆ getStaticClassID()

static UClassID icu::TimeZoneTransition::getStaticClassID | ( |  | ) |
| static

Return the class ID for this class.

This is useful only for comparing to a return value from getDynamicClassID(). For example:

    .   Base* polymorphic_pointer = createPolymorphicObject();
    .   if (polymorphic_pointer->getDynamicClassID() ==
    .       erived::getStaticClassID()) ...

Returns
  The class ID for all objects of this class.

Stable:
  ICU 3.8

## ◆ getTime()

UDate icu::TimeZoneTransition::getTime | ( |  | ) | const

Returns the time of transition in milliseconds.

Returns
  The time of the transition in milliseconds since the 1970 Jan 1 epoch time.

Stable:
  ICU 3.8

## ◆ getTo()

const TimeZoneRule* icu::TimeZoneTransition::getTo | ( |  | ) | const

Returns the rule used after the transition.

Returns
  The time zone rule used after the transition.

Stable:
  ICU 3.8

## ◆ operator!=()

bool icu::TimeZoneTransition::operator!= | ( | const TimeZoneTransition & | that | ) | const

Return true if the given TimeZoneTransition objects are semantically unequal.

Objects of different subclasses are considered unequal.

Parameters

  that | The object to be compared with.

Returns
  true if the given TimeZoneTransition objects are semantically unequal.

Stable:
  ICU 3.8

## ◆ operator=()

TimeZoneTransition& icu::TimeZoneTransition::operator= | ( | const TimeZoneTransition & | right | ) |

Assignment operator.

Parameters

  right | The object to be copied.

Stable:
  ICU 3.8

## ◆ operator==()

bool icu::TimeZoneTransition::operator== | ( | const TimeZoneTransition & | that | ) | const

Return true if the given TimeZoneTransition objects are semantically equal.

Objects of different subclasses are considered unequal.

Parameters

  that | The object to be compared with.

Returns
  true if the given TimeZoneTransition objects are semantically equal.

Stable:
  ICU 3.8

## ◆ setFrom()

void icu::TimeZoneTransition::setFrom | ( | const TimeZoneRule & | from | ) |

Sets the rule used before the transition.

The caller remains responsible for deleting the `TimeZoneRule` object.

Parameters

  from | The time zone rule used before the transition.

Stable:
  ICU 3.8

## ◆ setTime()

void icu::TimeZoneTransition::setTime | ( | UDate | time | ) |

Sets the time of transition in milliseconds.

Parameters

  time | The time of the transition in milliseconds since the 1970 Jan 1 epoch time.

Stable:
  ICU 3.8

## ◆ setTo()

void icu::TimeZoneTransition::setTo | ( | const TimeZoneRule & | to | ) |

Sets the rule used after the transition.

The caller remains responsible for deleting the `TimeZoneRule` object.

Parameters

  to | The time zone rule used after the transition.

Stable:
  ICU 3.8

The documentation for this class was generated from the following file:

- i18n/unicode/tztrans.h